Game Sessions
curl --request GET \
--url https://s-apis.oppigames.com/game/sessions \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://s-apis.oppigames.com/game/sessions"
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
}
};
fetch('https://s-apis.oppigames.com/game/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
"status": "RS_OK",
"data": {
"totalPages": 1,
"currentPage": 1,
"totalCount": 41,
"result": [
{
"sessionId": "85082d4d-2d6c-4f80-b72f-00b806eea2ab1742893648478",
"playerId": "MAGICIAN_USER_VISHAL",
"playerName": "MAGICIAN_USER_VISHAL",
"gameId": "G1742373671848",
"gameName": "The magician",
"status": 1,
"currency": "EUR",
"createdAt": "2025-03-25T09:07:28.966Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Transaction
Game Sessions
This API retrieves game sessions associated with a playerId and gameId.
GET
/
game
/
sessions
Game Sessions
curl --request GET \
--url https://s-apis.oppigames.com/game/sessions \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://s-apis.oppigames.com/game/sessions"
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
}
};
fetch('https://s-apis.oppigames.com/game/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
"status": "RS_OK",
"data": {
"totalPages": 1,
"currentPage": 1,
"totalCount": 41,
"result": [
{
"sessionId": "85082d4d-2d6c-4f80-b72f-00b806eea2ab1742893648478",
"playerId": "MAGICIAN_USER_VISHAL",
"playerName": "MAGICIAN_USER_VISHAL",
"gameId": "G1742373671848",
"gameName": "The magician",
"status": 1,
"currency": "EUR",
"createdAt": "2025-03-25T09:07:28.966Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Status
- 0 = InActive
- 1 = Active
Headers
string
required
A unique identifier associated with operator calling API.
string
required
A SHA256 HMAC signature generated using the request body and timestamp.
Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the
provided secret key.
string
required
An Unix timestamp (milliseconds) Used to verify the request’s freshness.
Ensure the same value is used in signature generation.
The signature will remain valid for only 5 minutes from the provided
timestamp.
string
required
Must be set to
application/json.Query Parameters
number
default:1
Specifies the current page number for pagination purposes.
number
default:10
Specifies how many records to display on each page, controlling the size of each data segment.
string
Unique identifier for the player whose game sessions you want to retrieve.
string
Unique identifier for the game whose game sessions you want to retrieve.
Response
string
required
Code indicates status of the request weather it is succeed or failed. We have listed error codes here
Data Object
Show Data properties
Show Data properties
integer
required
The current page number of the results.
integer
required
The total number of pages available.
integer
required
The total number of records matching the query.
array
required
An array of session objects containing details about each game session.
Show result properties
Show result properties
string
required
Unique identifier for the player’s game session.
string
required
Unique identifier for the player.
string
required
Display name of the player.
string
required
Unique identifier for the game.
string
required
Name of the game.
integer
required
Status code of the game session (e.g., 1 for active).
string
required
ISO currency code used for the game (e.g., EUR).
string
required
Timestamp indicating when the session was created (UTC format).
{
"status": "RS_OK",
"data": {
"totalPages": 1,
"currentPage": 1,
"totalCount": 41,
"result": [
{
"sessionId": "85082d4d-2d6c-4f80-b72f-00b806eea2ab1742893648478",
"playerId": "MAGICIAN_USER_VISHAL",
"playerName": "MAGICIAN_USER_VISHAL",
"gameId": "G1742373671848",
"gameName": "The magician",
"status": 1,
"currency": "EUR",
"createdAt": "2025-03-25T09:07:28.966Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
⌘I
